.TH CosNotifyComm_NotifyPublish 3 "cosNotification  1.1.11" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosNotifyComm_NotifyPublish \- This module implements the OMG CosNotifyComm::NotifyPublish interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosNotification/include/*\&.hrl")\&.\fR
.LP
All objects, which inherit this interface, export functions described in this module\&.

.SH EXPORTS
.LP
.B
offer_change(Object, Added, Removed) -> Reply
.br
.RS
.TP
Types
Object = #objref
.br
Added = Removed = EventTypeSeq
.br
EventTypeSeq = [type]
.br
Reply = ok | {\&'EXCEPTION\&', CosNotifyComm_InvalidEventType{type}}
.br
type = #\&'CosNotification_EventType\&'{domain_name, type_name}
.br
domain_name = type_name = string()
.br
.RE
.RS
.LP
Objects supporting this interface can be informed by supplier objects about which type of events that will be delivered in the future\&. This operation accepts two parameters describing new and old event types respectively\&. If any of the supplied event type names is syntactically incorrect an exception is raised\&.
.RE
